<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Profile Wall
| Version: 1.00
| Filename: fp_profile_wall_admin.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."fp_profile_wall/infusion_db.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("FPW") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
include INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
include INFUSIONS."fp_profile_wall/locale/English.php";
}

	if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
	$message = $locale['com_saved'];
	} elseif ($_GET['status'] == "nsu") {
	$message = $locale['com_not_saved'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
	}

	if (isset($_POST['coms_save'])) {
	$scroll =(isset($_POST['scroll']) && isNum($_POST['scroll'])) ? $_POST['scroll'] : "0";	
	$status =(isset($_POST['status']) && isNum($_POST['status'])) ? $_POST['status'] : "0";	
	$avatar_c =(isset($_POST['avatar_c']) && isNum($_POST['avatar_c'])) ? $_POST['avatar_c'] : "0";	
	$sig =(isset($_POST['sig']) && isNum($_POST['sig'])) ? $_POST['sig'] : "0";
	$country =(isset($_POST['country']) && isNum($_POST['country'])) ? $_POST['country'] : "0";
	$joined =(isset($_POST['joined']) && isNum($_POST['joined'])) ? $_POST['joined'] : "0";
	$display_ip =(isset($_POST['display_ip']) && isNum($_POST['display_ip'])) ? $_POST['display_ip'] : "0";
	$addthis =(isset($_POST['addthis']) && isNum($_POST['addthis'])) ? $_POST['addthis'] : "0";
	$icons =(isset($_POST['icons']) && isNum($_POST['icons'])) ? $_POST['icons'] : "0";
	$comment_reply =(isset($_POST['comment_reply']) && isNum($_POST['comment_reply'])) ? $_POST['comment_reply'] : "0";
	$send_fpm =(isset($_POST['send_fpm']) && isNum($_POST['send_fpm'])) ? $_POST['send_fpm'] : "0";
	$result = dbquery("UPDATE ".DB_FP_PROFILE_WALL." SET 	scroll='$scroll', status='$status', avatar_c='$avatar_c', sig='$sig', country='$country', joined='$joined', display_ip='$display_ip', addthis='$addthis', icons='$icons', comment_reply='$comment_reply', send_fpm='$send_fpm', delay_spam='".addslashes($_POST['delay_spam'])."', ticker_speed='".addslashes($_POST['ticker_speed'])."', colour1='".addslashes($_POST['colour1'])."', colour2='".addslashes($_POST['colour2'])."', colour3='".addslashes($_POST['colour3'])."', colour1_font='".addslashes($_POST['colour1_font'])."', colour2_font='".addslashes($_POST['colour2_font'])."', colour3_font='".addslashes($_POST['colour3_font'])."'");	
	if (!$result) { 
	redirect(FUSION_SELF.$aidlink."&status=nsu");
	} else {
	redirect(FUSION_SELF.$aidlink."&status=su");
	}
	}

	$fp_profile_wall_settings = dbarray(dbquery("SELECT * FROM ".DB_FP_PROFILE_WALL));
	$delay_spam = stripinput($fp_profile_wall_settings['delay_spam']);
	$ticker_speed = stripinput($fp_profile_wall_settings['ticker_speed']);
	$colour1 = stripinput($fp_profile_wall_settings['colour1']);
	$colour2 = stripinput($fp_profile_wall_settings['colour2']);
	$colour3 = stripinput($fp_profile_wall_settings['colour3']);
	$colour1_font = stripinput($fp_profile_wall_settings['colour1_font']);
	$colour2_font = stripinput($fp_profile_wall_settings['colour2_font']);
	$colour3_font = stripinput($fp_profile_wall_settings['colour3_font']);

add_to_title($locale['global_200'].$locale['com001']);

// Boxover Javascript
echo "<script src='".INFUSIONS."fp_profile_wall/includes/boxover.js' type='text/javascript'></script>\n";

// Add To Head - jscolor
add_to_head("<script type='text/javascript' src='".INFUSIONS."fp_profile_wall/includes/jscolor/jscolor.js'></script>");

// Styles
require_once INFUSIONS."fp_profile_wall/includes/fp_profile_wall_styles.php";
		 
opentable($locale['com001']);

echo"<div style='text-align: center;' class='admin-message center'>".$locale['com006']."</div>";

  echo "<form name='coms_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";

  echo "<table cellpadding='0' cellspacing='0' width='80%' class='tbl-border center' >\n<tr>\n";

	// Delay Spam Settings
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com016']."</td>\n";
		echo" <td align='left' class='tbl'>
		<input type='text' maxlength='30' name='delay_spam' value='".$delay_spam."' class='textbox' style='width:65px;' /></td>\n";
	echo "</tr><tr>\n";
	
	// Scrolling Wall
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com006b']."</td>\n";
	  echo "<td class='tbl' align='left'><select name='scroll' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['scroll'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	  echo "<option value='0'".($fp_profile_wall_settings['scroll'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	 echo "</select></td>\n";
    echo "</tr>\n<tr>\n";

	// Center Panel Ticker Speed Settings
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com42']."</td>\n";
		echo" <td align='left' class='tbl'>
		<input type='text' maxlength='5' name='ticker_speed' value='".$ticker_speed."' class='textbox' style='width:65px;' /></td>\n";
	echo "</tr><tr>\n";
	
	// User Online/Offline Status Icon
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com008b']."</td>\n";
	  echo "<td class='tbl' align='left'><select name='status' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['status'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	  echo "<option value='0'".($fp_profile_wall_settings['status'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	 echo "</select></td>\n";
    echo "</tr>\n<tr>\n";

	// User Avatar
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com008']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='avatar_c' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['avatar_c'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	  echo "<option value='0'".($fp_profile_wall_settings['avatar_c'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	 echo "</select></td>\n";
    echo "</tr>\n<tr>\n";

	// User Sig Check for field
    $sig_check = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_sig'");
      if (dbrows($sig_check) > 0) {
	  
	// User Sig
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com009']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='sig' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['sig'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	  echo "<option value='0'".($fp_profile_wall_settings['sig'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	
}

    // User Country Location Check for field
    $location_check = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_location'");
 
      if (dbrows($location_check) > 0) {

	// User Country
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com010']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='country' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['country'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	  echo "<option value='0'".($fp_profile_wall_settings['country'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";

}

	// User Joined Date
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com011']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='joined' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['joined'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	 echo "<option value='0'".($fp_profile_wall_settings['joined'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td><tr>\n";

	// Users IP
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com012']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='display_ip' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['display_ip'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	 echo "<option value='0'".($fp_profile_wall_settings['display_ip'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td><tr>\n";

	// AddThis 
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com014']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='addthis' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['addthis'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	 echo "<option value='0'".($fp_profile_wall_settings['addthis'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td><tr>\n";

	// Edit & Delete Icons
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com017']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='icons' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['icons'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	  echo "<option value='0'".($fp_profile_wall_settings['icons'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	 echo "</select></td><tr>\n";
	 
	// Reply
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com015b']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='comment_reply' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['comment_reply'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	  echo "<option value='0'".($fp_profile_wall_settings['comment_reply'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	 echo "</select></td><tr>\n";	
	 
	 // Send PM
	echo "<td width='70%' class='tbl' align='left' style='vertical-align: top;'>".$locale['com40']."</td>\n";
	 echo "<td class='tbl' align='left'><select name='send_fpm' class='textbox'>\n";
	  echo "<option value='1'".($fp_profile_wall_settings['send_fpm'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
	  echo "<option value='0'".($fp_profile_wall_settings['send_fpm'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
	 echo "</select></td></tr>\n";
	 
	echo"</table><br />\n";

    echo"<div style='text-align: center;' class='admin-message'>".$locale['com18']."</div>";

     echo "<table cellpadding='0' cellspacing='0' width='80%'  class='tbl-border center' >\n<tr>\n";

	// Colour 1
	echo "<td class='tbl' align='left' style='vertical-align: top;'>".$locale['com019']."</td>\n";
	 echo" <td class='tbl'><input class='color {required:false} text' maxlength='6' name='colour1' value='".$fp_profile_wall_settings['colour1']."'/></td>\n";

	echo" <td  class='tbl'>".$locale['com020']."</td>";
	 echo" <td  class='tbl'><input class='color {required:false} text' maxlength='6' name='colour1_font' value='".$fp_profile_wall_settings['colour1_font']."'/></td>\n";
	echo "</tr><tr>\n";

	// Colour 2
	echo "<td class='tbl' style='vertical-align: top;'>".$locale['com021']."</td>\n";
	 echo" <td class='tbl'><input class='color {required:false} text' maxlength='6' name='colour2' value='".$fp_profile_wall_settings['colour2']."'/></div></td>\n";
	  echo" <td  class='tbl'>".$locale['com020']."</td>";
	 echo" <td  class='tbl'><input class='color {required:false} text' maxlength='6' name='colour2_font' value='".$fp_profile_wall_settings['colour2_font']."'/></td>\n";
	echo "</tr><tr>\n";

	// Colour3
	echo "<td class='tbl' align='left' style='vertical-align: top;'>".$locale['com022']."</td>\n";
	 echo" <td  class='tbl'><input class='color {required:false} text' maxlength='6' name='colour3' value='".$fp_profile_wall_settings['colour3']."'/></td>\n";
	  echo" <td align='left' class='tbl'>".$locale['com020']."</td>";
     echo" <td align='left' class='tbl'><input class='color {required:false} text' maxlength='6' name='colour3_font' value='".$fp_profile_wall_settings['colour3_font']."'/></td>\n";
	echo "</tr></tr></table><br />\n";

	  echo"<hr width='70%'><br />";

	    echo "<div width='70%' style='text-align:center;'><input type='submit' class='button' name='coms_save' value='".$locale['com004']."' />";
	 
	    echo "</div>\n";

	  echo "</form>\n";
	
	   // Please do not remove copyright info
      include INFUSIONS."fp_profile_wall/includes/copyright_func.php";
       echo showfpwcopyright();
        // End copyright info
		
closetable();

require_once THEMES."templates/footer.php";

?> 