<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: comments_include.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Name: FP Profile Wall
| Version: 1.00
| Filename: fp_profile_wall_include.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include LOCALE.LOCALESET."comments.php";

function fp_profile_wall($ctype, $cdb, $ccol, $cid, $clink) {

global $settings, $locale, $userdata, $aidlink;

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
include INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
include INFUSIONS."fp_profile_wall/locale/English.php";
}
include INFUSIONS."fp_profile_wall/infusion_db.php";

    $fp_profile_wall_settings = dbarray(dbquery("SELECT * FROM ".DB_FP_PROFILE_WALL));


	$link = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
	$link = preg_replace("^(&amp;|\?)c_action=(edit|delete)&amp;comment_id=\d*^", "", $link);
    $cpp = $settings['comments_per_page'];
	
	if (iMEMBER && (isset($_GET['c_action']) && $_GET['c_action'] == "delete") && (isset($_GET['comment_id']) && isnum($_GET['comment_id']))) {
		if ((iADMIN && checkrights("C")) || (iMEMBER && dbcount("(comment_id)", DB_COMMENTS, "comment_id='".$_GET['comment_id']."' AND comment_name='".$userdata['user_id']."'"))) {
			$result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_id='".$_GET['comment_id']."'".(iADMIN ? "" : " AND comment_name='".$userdata['user_id']."'"));
		}
		redirect($clink);
	}

        $delay_spam = stripslashes($fp_profile_wall_settings['delay_spam']);
		
		if ((iMEMBER) && isset($_POST['post_comment']) && $fp_profile_wall_settings['delay_spam'] !== ((time()-$userdata['user_joined'])<$delay_spam)) {

			
			$comment_name = $userdata['user_id'];
			$comment_message = trim(stripinput(censorwords($_POST['comment_message'])));

			if (iMEMBER && (isset($_GET['c_action']) && $_GET['c_action'] == "edit") && (isset($_GET['comment_id']) && isnum($_GET['comment_id']))) {
				$comment_updated = false;
				if ((iADMIN && checkrights("C")) || (iMEMBER && dbcount("(comment_id)", DB_COMMENTS, "comment_id='".$_GET['comment_id']."' AND comment_item_id='".$cid."' AND comment_type='".$ctype."' AND comment_name='".$userdata['user_id']."' AND comment_hidden='0'"))) {
					if ($comment_message) {
						$result = dbquery("UPDATE ".DB_COMMENTS." SET comment_message='$comment_message' WHERE comment_id='".$_GET['comment_id']."'".(iADMIN ? "" : " AND comment_name='".$userdata['user_id']."'"));
						$comment_updated = true;
					}
				}
						if ($comment_updated) {
				$c_start = (ceil(dbcount("(comment_id)", DB_COMMENTS, "comment_id<='".$_GET['comment_id']."' AND comment_item_id='".$cid."' AND comment_type='".$ctype."'") / $cpp) - 1) * $cpp;
			}
			redirect($clink."&amp;rstart=".(isset($c_start) && isnum($c_start) ? $c_start : ""));
		} else {
			if (!dbcount("(".$ccol.")", $cdb, $ccol."='".$cid."'")) { redirect(BASEDIR."index.php"); }
			if ($comment_name && $comment_message) {
				require_once INCLUDES."flood_include.php";
				if (!flood_control("comment_datestamp", DB_COMMENTS, "comment_ip='".USER_IP."'")) {
					$result = dbquery("INSERT INTO ".DB_COMMENTS." (comment_item_id, comment_type, comment_name, comment_message, comment_datestamp, comment_ip) VALUES ('$cid', '$ctype', '$comment_name', '$comment_message', '".time()."', '".USER_IP."')");
				 if ($fp_profile_wall_settings['send_fpm'] == '1'){
				if ($_GET['lookup'] != $userdata['user_id']) {
					 require_once INCLUDES."infusions_include.php";
		             $sender_id = $userdata['user_id'];
		             $reciever_id = $_GET['lookup'];
		             $subject = $locale['com37'] ;
		             $message = $locale['com38']."[url=".$settings['siteurl']."profile.php?lookup=".$sender_id ."]".$userdata['user_name']."[/url].\n\n
		             [[url=".$settings['siteurl']."profile.php?lookup=".$_GET['lookup']."]".$locale['com39']."[/url]]";
		             send_pm($reciever_id, $sender_id, $subject, $message);
				   }
				   }
				}
			}
			$c_start = (ceil(dbcount("(comment_id)", DB_COMMENTS, "comment_item_id='".$cid."' AND comment_type='".$ctype."'") / $cpp) - 1) * $cpp;
			redirect($clink."&amp;rstart=".$c_start);
		}
	}

		opentable($locale['com001']);
        
		require_once INFUSIONS."fp_profile_wall/includes/fp_profile_wall_styles.php";

	    $c_rows = dbcount("(comment_id)", DB_COMMENTS, "comment_item_id='$cid' AND comment_type='$ctype'");
	    if (!isset($_GET['c_start']) || !isnum($_GET['c_start'])) { $_GET['c_start'] = 0; }
		
		$result = dbquery(
			"SELECT tcm.comment_id, tcm.comment_name, tcm.comment_message, tcm.comment_datestamp, tcm.comment_ip, tcu.user_id, tcu.user_name, tcu.user_status, tcu.user_avatar,  tcu.user_lastvisit, tcu.user_joined
			FROM ".DB_COMMENTS." tcm
			LEFT JOIN ".DB_USERS." tcu ON tcm.comment_name=tcu.user_id
			WHERE comment_item_id='$cid' AND comment_type='$ctype' AND comment_hidden='0'
			ORDER BY comment_datestamp DESC LIMIT ".$_GET['c_start'].",".$cpp.""
		);
		if (dbrows($result)) {
		$i = $_GET['c_start']+1;
		if ($c_rows > $cpp) {
			echo "<div style='text-align:center;margin-bottom:5px;'>".makecommentnav($_GET['c_start'], $cpp, $c_rows, 3, $clink."&amp;")."</div>\n";
		}
		
		if ($fp_profile_wall_settings['scroll']) {
				echo" <div  class='tbl-border center' style='width: 90%; height:210px; overflow:auto;'>";
				}
		echo "<a id='comments' name='comments'></a>";
			echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' style='width: 95%; vertical-align:top;'>\n";
			while ($data = dbarray($result)) {
		
				
				if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
			echo "<tr><td colspan='2' class='tbl2-colour1 border-radiusb'>";
			}else{
				echo "<tr><td colspan='2' class='tbl2 border-radiusb'>";
				}
				
				if ((iADMIN && checkrights("C")) || (iMEMBER && $data['comment_name'] == $userdata['user_id'] && isset($data['user_name']))) {
					
				if ($fp_profile_wall_settings['icons'] == '1'){
				echo "<div style='float:right' class='comment_actions'><!--comment_actions-->\n<a href='".FUSION_REQUEST."&amp;c_action=edit&amp;comment_id=".$data['comment_id']."#edit_comment'><img src='".INFUSIONS."fp_profile_wall/images/edit_comment.png' style='vertical-align: middle; border:0px;' alt='".$locale['c108']."' title='".$locale['c108']."' /></a> |\n";
				echo "<a href='".FUSION_REQUEST."&amp;c_action=delete&amp;comment_id=".$data['comment_id']."'><img src='".INFUSIONS."fp_profile_wall/images/delete_comment.png' style='vertical-align: middle; border:0px;' alt='".$locale['c109']."' title='".$locale['c109']."' /></a>\n</div>\n";
				}else{
				
				if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
					echo "<div style='float:right' class='com-name'>\n<a class='com-name' href='".FUSION_REQUEST."&amp;c_action=edit&amp;comment_id=".$data['comment_id']."#edit_comment'>".$locale['c108']."</a> |\n";
					 echo "<a class='com-name' href='".FUSION_REQUEST."&amp;c_action=delete&amp;comment_id=".$data['comment_id']."'>".$locale['c109']."</a>\n</div>\n";
					  }else{
					 echo "<div style='float:right' class='comment_actions'><!--comment_actions-->\n<a class='comment_admin' href='".FUSION_REQUEST."&amp;c_action=edit&amp;comment_id=".$data['comment_id']."#edit_comment'>".$locale['c108']."</a> |\n";
					echo "<a class='comment_admin' href='".FUSION_REQUEST."&amp;c_action=delete&amp;comment_id=".$data['comment_id']."'>".$locale['c109']."</a>\n</div>\n";
					}
				}
				}
					if ($data['user_name']) {
                    if(iMEMBER && $data['user_id'] != $userdata['user_id'] && $fp_profile_wall_settings['comment_reply'] == '1') {
					echo' <a title="@'.($data['user_name']?$data['user_name']:$data['comment_name']).'" href="javascript:insertText(\'comment_message\',\'[b]@'.($data['user_name']?$data['user_name']:$data['comment_name']).' #'.$i.':[/b] \', \'inputform\');" class="side small"><img src=\''.INFUSIONS.'fp_profile_wall/images/commentat.gif\' style=\'vertical-align:middle;\'  alt=\''.$locale['com015c'].'\' title=\''.$locale['com015c'].'\' border=\'0\' /></a> | ';
					}
					if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
					echo "<a class='com-name' href='".BASEDIR."profile.php?lookup=".$data['comment_name']."'>".$data['user_name']."</a>\n";
					 }else{
					echo "<span class='comment-name'><a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."'>".$data['user_name']."</a></span>\n";
					}
					  
				   if ($fp_profile_wall_settings['status'] == '1'){
						echo" | ";
						if ($data['user_lastvisit']<(time()-60)) {
				echo " <img src='".INFUSIONS."fp_profile_wall/images/offline.gif' alt='".$data['user_name']." ".$locale['c003']."' title='".$data['user_name']." ".$locale['c003']."'  style='vertical-align:middle; border:0px;'/> <span class='small'>|</span> \n";
			     } else {
				echo " <img src='".INFUSIONS."fp_profile_wall/images/online.gif' alt='".$data['user_name']." ".$locale['c002']."' title='".$data['user_name']." ".$locale['c002']."'  style='vertical-align:middle; border:0px;' /> <span class='small'>|</span> \n";	
			    }
			    }
				} else {
			
				if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
				echo "<span class='com-name'>".$data['comment_name']."</span> |\n";
					}else{
				echo "<span class='comment-name'>".$data['comment_name']."</span> |\n";
				}
				}
		
				if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
					echo " ".$locale['c001']." ".$locale['global_071'].showdate("longdate", $data['comment_datestamp'])."\n";		
					 }else{
				        echo "<span class='small'>".$locale['c001']." ".$locale['global_071'].showdate("longdate", $data['comment_datestamp'])."</span>\n";
				        }
				    echo "</td></tr>";
				
				if (($fp_profile_wall_settings['avatar_c'] == '1') || ($fp_profile_wall_settings['country'] == '1') || ($fp_profile_wall_settings['joined'] == '1') || ($fp_profile_wall_settings['display_ip'] == '1')) {

				if (($fp_profile_wall_settings['colour2']) || ($fp_profile_wall_settings['colour2_font'])) {
				echo "<tr>\n<td style='vertical-align:top;' class='tbl2-colour2 border-radiustlbl'>\n";
				 }else{
				echo "<tr>\n<td style='vertical-align:top;' class='tbl2 border-radiustlbl'>\n";
				}
				
				if ($fp_profile_wall_settings['avatar_c'] == '1') {
				if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {
				$user_avatar = "<img class='c-avatar'  src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."'/><br /><br />";
				echo profile_link($data['comment_name'], $user_avatar, $data['user_status']);
				} else {
				$user_avatar = "<img class='c-avatar' src='".INFUSIONS."fp_profile_wall/images/noav.gif' alt='".$data['user_name']."'/><br /><br />";
				echo profile_link($data['comment_name'], $user_avatar, $data['user_status']);

				}
               }
				if ($fp_profile_wall_settings['country'] == '1') {
				
				$result_location = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_location'");
				    if (dbrows($result_location) > 0) {
				$ulocation = dbarray(dbquery("SELECT user_location FROM ".DB_USERS." WHERE user_id='".$data['user_id']."'"));
				    if ($ulocation['user_location'] !=="") {
				    echo "<span class='small'><strong>".$locale['c005']."</strong> ".$ulocation['user_location']."<br />\n";
				  }
			     }
				}
		
		
		if ($fp_profile_wall_settings['joined'] == '1' ) {
		if ($data['user_joined']) {
		echo "<span class='small'><strong>".$locale['c006']."</strong> ".showdate("%d.%m.%y", $data['user_joined'])."\n";
		echo"</span><br />\n";
		}
		}
		
		if ($fp_profile_wall_settings['display_ip'] == '1' && iADMIN && checkrights("C")) {
		echo"<span class='small'><strong>".$locale['c007']."</strong> ".$data['comment_ip']."</span>";
		}
		echo "</td>";
}
		if (($fp_profile_wall_settings['avatar_c'] ==1) || ($fp_profile_wall_settings['country'] ==1) || ($fp_profile_wall_settings['joined'] ==1) || ($fp_profile_wall_settings['display_ip'] ==1)) {
        if (($fp_profile_wall_settings['colour3']) || ($fp_profile_wall_settings['colour3_font'])) {
		echo "<td style='vertical-align:top;'  class='tbl1-colour3 border-radiustrbr comment_message'>"; 
         }else{
        echo "<td style='vertical-align:top;' width='80%' class='tbl1 border-radiustrbr comment_message'>"; 
       }
      
	  }else{
       
	   if (($fp_profile_wall_settings['colour3']) || ($fp_profile_wall_settings['colour3_font'])) {
		echo "<td style='vertical-align:top;' width='100%' class='tbl1-colour3 border-radiusb'>"; 
		}else{
		echo "<td style='vertical-align:top;' width='100%' class='tbl1 border-radiusb comment_message'>"; 
		}
		}
		
		echo cowrap(nl2br(parseubb(parsesmileys($data['comment_message']),"smiley|url|b|i|u|left|center|right|small|big|color")));
		
		$result_sig = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_sig'");
		
		if (dbrows($result_sig) > 0) {
		$usig = dbarray(dbquery("SELECT user_sig FROM ".DB_USERS." WHERE user_id='".$data['user_id']."'"));
		if (isset($usig['user_sig']) && $usig['user_sig'] && $fp_profile_wall_settings['sig'] ==1) {
	     echo "\n<br /><br /><hr></hr><div class='forum_sig'><fieldset class='comments-fieldset'><legend class='comments-legend'>".$locale['c009']."</legend>".nl2br(parseubb(parsesmileys($usig['user_sig']), "b|i|u||center|small|url|mail|img|color"))."</fieldset></div>\n";
	    }
		}

		 echo "</td>\n</tr>\n";
		
		if ($fp_profile_wall_settings['addthis'] ==1) {
		if (($fp_profile_wall_settings['avatar_c'] == '1') || ($fp_profile_wall_settings['country'] ==1) || ($fp_profile_wall_settings['joined'] ==1) || ($fp_profile_wall_settings['display_ip'] ==1)) {
		if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
		 echo "<td style='vertical-align:top;' class='tbl2-colour1 small border-radiustlbl'>".$locale['com015']; 
		  }else{
			echo "<td style='vertical-align:top;' class='tbl1 small border-radiustlbl'>".$locale['com015']; 
		}
		}
		if (($fp_profile_wall_settings['avatar_c'] == 1) || ($fp_profile_wall_settings['country'] ==1) || ($fp_profile_wall_settings['joined'] ==1) || ($fp_profile_wall_settings['display_ip'] ==1)) {
		if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
		echo"</td><td style='vertical-align:top;' class='tbl2-colour1 border-radiustrbr'>";
		}else{
		
         echo"</td><td style='vertical-align:top;' class='tbl1 border-radiustrbr'>";
        }
        }else{
		
		if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
		 echo"</td><td style='vertical-align:top;' class='tbl2-colour1 border-radiusb'>";
		
		}else{
		
		echo"</td><td style='vertical-align:top;' class='tbl1 border-radiusb'>";
		}
		}
		echo "<div style='text-align: left;'>\n";
          include INFUSIONS."fp_profile_wall/includes/addthis_fp_profile_wall_include.php";
	      echo "</div>\n";
		echo"</td></tr>";

	   }
	
	   $i++;
		 }
		echo"</table>";
		
		if (iADMIN && checkrights("C")) {
			echo "<div align='right' class='tbl2'><a href='".ADMIN."comments.php".$aidlink."&amp;ctype=$ctype&amp;cid=$cid'>".$locale['c106']."</a></div>\n";
		}
		if ($c_rows > $cpp) {
			echo "<div style='text-align:center;margin-top:5px;'>".makecommentnav($_GET['c_start'], $cpp, $c_rows, 3, $clink."&amp;")."</div>\n";
		}
			if ($fp_profile_wall_settings['scroll']) {
		echo" </div>\n";
		}
	} else {
		echo $locale['com031']."\n";
	}
	
	  closetable();

		opentable($locale['com030']);

		if (iMEMBER && (isset($_GET['c_action']) && $_GET['c_action'] == "edit") && (isset($_GET['comment_id']) && isnum($_GET['comment_id']))) {
			$eresult = dbquery(
				"SELECT tcm.comment_id, tcm.comment_name, tcm.comment_message, tcu.user_name FROM ".DB_COMMENTS." tcm
				LEFT JOIN ".DB_USERS." tcu ON tcm.comment_name=tcu.user_id
				WHERE comment_id='".$_GET['comment_id']."' AND comment_item_id='".$cid."' AND comment_type='".$ctype."' AND comment_hidden='0'"
			);
			if (dbrows($eresult)) {
				$edata = dbarray($eresult);
				if ((iADMIN && checkrights("C")) || (iMEMBER && $edata['comment_name'] == $userdata['user_id'] && isset($edata['user_name']))) {
					$clink .= "&amp;c_action=edit&amp;comment_id=".$edata['comment_id'];
					$comment_message = $edata['comment_message'];
				}
			} else {
				$comment_message = "";
			}
		} else {
			$comment_message = "";
		}
		if (iMEMBER) {
			require_once INCLUDES."bbcode_include.php";
				echo" <div style='text-align: center;'>\n";	
				  if (iMEMBER && ((time()-$userdata['user_joined'])<$delay_spam)) {
                echo"<br /><div class='admin-message' style='text-align: center;margin:auto'><strong>".$locale['co_spam001']."</strong></div><br />";
                }else{
		echo"<a class='side' title='post' href='javascript:void(0)' onClick=\"document.getElementById('inputform').style.display = (document.getElementById('inputform').style.display == 'none' ? 'block' : 'none');\"><img style='vertical-align:middle' src='".BASEDIR."infusions/fp_profile_wall/images/post.png' title='".$locale['com015d']."' alt='".$locale['com015d']."' border='0' /><strong>".$locale['com015d']."</strong></a>";

	echo"<div style='display: none;' id='inputform'>";
			echo "<a id='edit_comment' name='edit_comment'></a>\n";
			echo "<form name='inputform' method='post' action='".$clink."'>\n";
		      
			     echo "<div align='center' class='tbl'>\n";
			      echo "<textarea name='comment_message' cols='70' rows='6' class='textbox' style='width:360px'>".$comment_message."</textarea><br />\n";
			      // echo display_bbcodes("360px", "comment_message", "smiley|url|b|i|u|left|center|right|small|big|color");
			   echo display_bbcodes("150px;", "comment_message", "inputform", "smiley|url|b|i|u|left|center|right|small|big|color")."\n";
			  echo "<br />\n<input type='submit' name='post_comment' value='".($comment_message ? $locale['c103'] : $locale['c102'])."' class='button' />\n";
			   echo "</div>\n</form></div></div>\n";
			  }
			
		} else {
			echo $locale['c105']."\n";
		}
	
		closetable();
	
}

		if (!function_exists("cowrap")) {
	function cowrap($text) {
		global $locale;

		$i = 0; $tags = 0; $chars = 0; $res = "";

		$str_len = strlen($text);

		for ($i = 0; $i < $str_len; $i++) {
			$chr = mb_substr($text, $i, 1, $locale['charset']);
			if ($chr == "<") {
				if (mb_substr($text, ($i + 1), 6, $locale['charset']) == "a href" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "img") {
					$chr = " ".$chr;
					$chars = 0;
				}
				$tags++;
			} elseif ($chr == "&") {
				if (mb_substr($text, ($i + 1), 5, $locale['charset']) == "quot;") {
					$chars = $chars - 5;
				} elseif (mb_substr($text, ($i + 1), 4, $locale['charset']) == "amp;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#39;" || mb_substr($text, ($i + 1), 4, $locale['charset']) == "#92;") {
					$chars = $chars - 4;
				} elseif (mb_substr($text, ($i + 1), 3, $locale['charset']) == "lt;" || mb_substr($text, ($i + 1), 3, $locale['charset']) == "gt;") {
					$chars = $chars - 3;
				}
			} elseif ($chr == ">") {
				$tags--;
			} elseif ($chr == " ") {
				$chars = 0;
			} elseif (!$tags) {
				$chars++;
			}

			if (!$tags && $chars == 63) {
				$chr .= "<br />";
				$chars = 0;
			}
			$res .= $chr;
		}

		return $res;
	}
}

function makecommentnav($start, $count, $total, $range = 0, $link) {

	global $locale;

	$pg_cnt = ceil($total / $count);
	if ($pg_cnt <= 1) { return ""; }

	$idx_back = $start - $count;
	$idx_next = $start + $count;
	$cur_page = ceil(($start + 1) / $count);

	$res = $locale['global_092']." ".$cur_page.$locale['global_093'].$pg_cnt.": ";
	if ($idx_back >= 0) {
		if ($cur_page > ($range + 1)) {
			$res .= "<a href='".$link."ce4dstart=0'>1</a>...";
		}
	}
	$idx_fst = max($cur_page - $range, 1);
	$idx_lst = min($cur_page + $range, $pg_cnt);
	if ($range == 0) {
		$idx_fst = 1;
		$idx_lst = $pg_cnt;
	}
	for ($i = $idx_fst; $i <= $idx_lst; $i++) {
		$offset_page = ($i - 1) * $count;
		if ($i == $cur_page) {
			$res .= "<span><strong>".$i."</strong></span>";
		} else {
			$res .= "<a href='".$link."c_start=".$offset_page."'>".$i."</a>";
		}
	}
	if ($idx_next < $total) {
		if ($cur_page < ($pg_cnt - $range)) {
			$res .= "...<a href='".$link."c_start=".($pg_cnt - 1) * $count."'>".$pg_cnt."</a>\n";
		}
	}
	
	return "<div class='pagenav'>\n".$res."</div>\n";
}
?>