<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Profile Wall
| Version: 1.00
| Filename: fp_profile_wall_styles.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
$fp_profile_wall_settings = dbarray(dbquery("SELECT * FROM ".DB_FP_PROFILE_WALL));


 
   if (($fp_profile_wall_settings['sig'] == '1') || ($fp_profile_wall_settings['avatar_c'] == '1')) {
		
		//Fangree Productions Signatures  Fieldset  Styles Begin
		add_to_head("<style type='text/css'>

		.comments-fieldset {
		border: 1px solid #ccc; 
		width: 380px; 
		padding: 5px 4px;
		border-radius:5px;
		-moz-border-radius:5px; 
		-webkit-border-radius:5px; 
		-moz-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20); 
		-webkit-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20);
		}

		.comments-legend {
		color: #ccc; 
		font-size: 12px; 
		font-weight:700; 
		padding: 2px 4px; 
		margin-right: 0.7em;
		}

		.c-avatar {
		height: 50px; 
		width:50px;
		border: 2px solid #333;  
		opacity:0.6;
		filter:alpha(opacity=60);
		border-radius:5px;
		-moz-border-radius:4px; 
		-webkit-border-radius:4px; 
		-moz-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20); 
		-webkit-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20);
		}

		.c-avatar:hover {
		height: 50px; 
		width: 50px;
		border: 2px solid #333;  
		opacity:0.8;
		filter:alpha(opacity=80);
		border-radius:5px;
		-moz-border-radius:4px; 
		-webkit-border-radius:4px; 
		-moz-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20); 
		-webkit-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20);
		}
		
		.d-avatar {
		height: 30px; 
		width: 30px; 
		text-align: left; 
	    padding-right: 10px; 
	    vertical-align:middle;	
		opacity:0.6;
		filter:alpha(opacity=60);
		
		}

		.d-avatar:hover {
	height: 30px; 
		width: 30px; 
		text-align: left; 
	    padding-right: 10px; 
	    vertical-align:middle;
		opacity:0.8;
		filter:alpha(opacity=80);
		}
		</style>");
		//Fangree Productions Signatures  Fieldset  Styles Ends
		}
		
		if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
		
		add_to_head("<style type='text/css'>
		
		.tbl2-colour1 {
		font-size : 11px;
		background-color : #".$fp_profile_wall_settings['colour1']."; 
		color: #".$fp_profile_wall_settings['colour1_font'].";
		border : 1px solid #ccc;
		padding : 4px;
		}
		

		.com-name {
		color : #".$fp_profile_wall_settings['colour1_font'].";
		text-decoration : none;
		}

		</style>");

		}

		if ($fp_profile_wall_settings['colour1_font']) {
		
		add_to_head("<style type='text/css'>
		
		.com-name {
		color : #".$fp_profile_wall_settings['colour1_font'].";
		text-decoration : none;
		}

		.com-name:hover {
		color : #".$fp_profile_wall_settings['colour1_font'].";
		text-decoration : none;
		}
		
		</style>");

		}

		if ($fp_profile_wall_settings['colour2']) {
		
		add_to_head("<style type='text/css'>
		
		.tbl2-colour2 {
		font-size : 11px;
		color: #".$fp_profile_wall_settings['colour2_font'].";
		background-color : #".$fp_profile_wall_settings['colour2']."; 
		border : 1px solid #ccc;
		padding : 4px;
		}
		
		</style>");

		}
		if (($fp_profile_wall_settings['colour3']) || ($fp_profile_wall_settings['colour3_font'])) {
		
		add_to_head("<style type='text/css'>
		
		.tbl1-colour3 {
		font-size : 11px;
		color: #".$fp_profile_wall_settings['colour3_font'].";
		background-color : #".$fp_profile_wall_settings['colour3']."; 
		border : 1px solid #ccc;
		padding : 4px;
		}
		</style>");

		}
		
		// Border Radius Classes
		add_to_head("<style type='text/css'>
		
		.border-radiusb {
		word-wrap:break-word;
		-moz-border-radius: 6px; 
		-webkit-border-radius: 6px;
		 border-radius: 6px;
		}
		
		.border-radiustlbl {
		width:120px; 
		word-wrap:break-word;
		-moz-border-radius-topleft: 6px; 
		-moz-border-radius-bottomleft: 6px; 
		-webkit-border-radius-topleft: 6px; 
		-webkit-border-radius-bottomleft: 6px; 
		border-top-left-radius: 6px; 
		border-bottom-left-radius: 6px;
		}
		
		.border-radiustrbr {
		word-wrap:break-word;
		-moz-border-radius-topright: 6px; 
		-moz-border-radius-bottomright: 6px; 
		-webkit-border-radius-topright: 6px; 
		-webkit-border-radius-bottomright: 6px; 
		border-top-right-radius: 6px; 
		border-bottom-right-radius: 6px;
		}
		
		</style>");
		
	add_to_head("<style type='text/css'>
	
		.text {
		width: 60px; 
		height: 12px; 
		font-family: Verdana, Arial, Helvetica, sans-serif; 
		font-size: 10px; color: #555; 
		background-color : #fff; 
		border: 1px solid #7F9DB9; 
		 padding-top: 1px; 
		-moz-border-radius: 5px; 
		-webkit-border-radius: 5px; 
		border-radius: 5px; 
		}
		
		.fp-wall-ticker {
		display: none;
		list-style-type: none;
		padding: 3px;
		margin: 0;
		font-size: 12px;
		height:80px;
	}
		</style>");
	
?>