<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author :  Nick Jones
| Infusion Author: Fangree Productions
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fp_profile_wall/infusion_db.php";

if (file_exists(INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_profile_wall/locale/English.php";
}

// Infusion general information
$inf_title = $locale['com001'];
$inf_description = $locale['com003'];
$inf_version = "1.00";
$inf_developer = "Fangree Productions";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";
$inf_folder = "fp_profile_wall";

$inf_newtable[1] = DB_FP_PROFILE_WALL." (
scroll TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
status TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
avatar_c TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
sig TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
country TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
joined TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
display_ip TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
addthis TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
icons TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
comment_reply TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
send_fpm TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
delay_spam VARCHAR(9) NOT NULL DEFAULT '',
ticker_speed VARCHAR(5) NOT NULL DEFAULT '',
colour1 VARCHAR(6) NOT NULL DEFAULT '',
colour2 VARCHAR(6) NOT NULL DEFAULT '',
colour3 VARCHAR(6) NOT NULL DEFAULT '',
colour1_font VARCHAR(6) NOT NULL DEFAULT '',
colour2_font VARCHAR(6) NOT NULL DEFAULT '',
colour3_font VARCHAR(6) NOT NULL DEFAULT ''
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_FP_PROFILE_WALL." (scroll, status, avatar_c, sig, country, joined, display_ip, addthis, icons, comment_reply, send_fpm, delay_spam, ticker_speed, colour1, colour2, colour3, colour1_font, colour2_font, colour3_font) VALUES('0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '".$locale['delay_spam']."', '9000', '', '', '', '', '', '')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['com001']."', panel_filename='fp_profile_wall_panel', panel_content='', panel_side='3', panel_order='1', panel_type='file', panel_access='0', panel_display='1', panel_status='1', panel_url_list='/profile.php', panel_restriction='0'";
$inf_droptable[1] = DB_FP_PROFILE_WALL;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='fp_profile_wall_panel'";
$inf_adminpanel[1] = array(
	"title" => $locale['com001'],
	"image" => "admin.gif",
	"panel" => "fp_profile_wall_admin.php",
	"rights" => "FPW"
);

$inf_sitelink[1] = array(
		"title" => $locale['com001'],
		"url" => "fp_profile_wall.php",
		"visibility" => "101"
	);

?>