<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fp_profile_wall.php
| Versdion: V1.00
| Author: Fangree Productions 
| Developers: Fangree_Craig & Dallas
| Site: http://www.fangree.co.uk
| Contact: admin@fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fp_profile_wall/locale/English.php";
}

include INFUSIONS."fp_profile_wall/infusion_db.php";

$fp_profile_wall_settings = dbarray(dbquery("SELECT * FROM ".DB_FP_PROFILE_WALL));

add_to_title($locale['global_200'].$locale['com001']);
 
 require_once INFUSIONS."fp_profile_wall/includes/fp_profile_wall_styles.php";

 opentable($locale['com32']);
	
$i = 0;
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
$result = dbquery(
	"SELECT * FROM ".DB_COMMENTS."  LEFT JOIN ".DB_USERS."
	ON ".DB_COMMENTS.".comment_name=".DB_USERS.".user_id WHERE comment_type='U'
	ORDER BY comment_datestamp DESC LIMIT ".$_GET['rowstart'].",".$locale['com33'].""
	);

if (dbrows($result)) {

echo "<div align='left' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$locale['com33'],dbcount("(comment_id)", DB_COMMENTS." WHERE comment_type='U'"),3)."\n</div><br>\n";
if ($fp_profile_wall_settings['scroll']) {
				echo" <div  class='tbl-border center' style='width: 90%; height:510px; overflow:auto;'>";
				}
echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
while ($data = dbarray($result)) {
echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'>";
if ($fp_profile_wall_settings['avatar_c'] == '1') {
				if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {
				$user_avatar = "<img class='d-avatar'  src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."'/>";
				echo profile_link($data['comment_name'], $user_avatar, $data['user_status']);
				} else {
				$user_avatar = "<img class='d-avatar' src='".INFUSIONS."fp_profile_wall/images/noav.gif' alt='".$data['user_name']."'/>";
				echo profile_link($data['comment_name'], $user_avatar, $data['user_status']);

				}
               }
			    
if ($data['user_name']) {
if (($fp_profile_wall_settings['colour1']) || ($fp_profile_wall_settings['colour1_font'])) {
					echo "<strong><span class='com-name'>".profile_link($data['comment_name'], $data['user_name'], $data['user_status'])."</span></strong>\n";
					 }else{
					echo "<strong><span class='comment-name'>".profile_link($data['comment_name'], $data['user_name'], $data['user_status'])."</span></strong>\n";
					}
} else {
echo $data['comment_name'];
}

if ($data['comment_type'] == "U") {

	$username_res = dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$data['comment_item_id']."' LIMIT 0,1");
	if (dbrows($username_res) == 1) {
		$username_data = dbarray($username_res);
	} else {
		$username_data['user_name'] = $locale['com34'];
	}
	echo " @ <a href='".BASEDIR."profile.php?lookup=".$data['comment_item_id']."'>".$username_data['user_name'].$locale['com35']."</a>";
}
echo"<span class='small'> ".$locale['com36']." ".showdate("shortdate", $data['comment_datestamp'])."</span><br /><br />";
 
$comment_message = nl2br(parseubb(parsesmileys($data['comment_message']),"smiley|url|b|i|u|left|center|right|small|big|color"));
$comment_item_id = $data['comment_item_id'];
$comment_type = $data['comment_type'];
echo"<span class='small'>".$comment_message."\n";
echo"<br /><hr style='border 1px solid #ccc;'></hr></span>";


echo "</td>\n</tr>\n";
$i++;
}
echo "</table>\n";

} else {

echo "<div class='' style='text-align:center;'>".$locale['com41']."</div>\n";
}
echo "<br /><div class='' style='text-align:left; margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$locale['com33'],dbcount("(comment_id)", DB_COMMENTS." WHERE comment_type='U'"),3)."\n</div>\n";
if ($fp_profile_wall_settings['scroll']) {
		echo" </div>\n";
		}
 // Please do not remove copyright info
      include INFUSIONS."fp_profile_wall/includes/copyright_func.php";
      echo showfpwcopyright();
        // End copyright info
closetable();


require_once THEMES."templates/footer.php";
?>